ALT Linux Sisyphus discussions
 help / color / mirror / Atom feed
* [sisyphus] IQ: composite control
@ 2007-10-19 16:04 Michael Shigorin
  2007-10-19 17:17 ` Алексей Синицын
  0 siblings, 1 reply; 3+ messages in thread
From: Michael Shigorin @ 2007-10-19 16:04 UTC (permalink / raw)
  To: sisyphus

[-- Attachment #1: Type: text/plain, Size: 1074 bytes --]

	Здравствуйте.
В процессе тестирования беты Desktop 4.0.1 подумал -- долго ли 
к нему приворачивать столь нежно требуемый beryl?  Оказалось
совсем недолго -- нужные пакеты уже были установлены с DVD,
3D работало, осталось сделать

apt-get install nvidia-xconfig
nvidia-xconfig --composite
nvidia-xconfig --allow-glx-with-composite
nvidia-xconfig --render-accel
nvidia-xconfig --add-argb-glx-visuals

(render-accel можно было и не трогать?)

Подумал, что если чуточку доскриптовать, то кнопочка
в alterator-x11 может оказаться совсем простой.

У меня под рукой есть только NVIDIA в ассортименте и
Radeon M7000/9200/9600.  Текущих ATI/Intel нет.

Если кто проконсультирует по опциям или допинает прилагаемый
скриптик до провереннной совместимости с их драйверами -- тоже
спасибо.

Если кто прокомментирует способы запуска beryl & beryl-manager 
по умолчанию (или сразу заскриптует) -- вообще хорошо.

-- 
 ---- WBR, Michael Shigorin <mike@altlinux.ru>
  ------ Linux.Kiev http://www.linux.kiev.ua/
 ----       Oct 26--27, Kiev, Ukraine:
--       http://conference.osdn.org.ua

[-- Attachment #2: nvidia-composite --]
[-- Type: text/plain, Size: 972 bytes --]

#!/bin/sh

error() {
		echo $0: $* >&2
		exit 2
}

xconfig() {
# uses nvidia-xconfig currently since it's actually driver-agnostic;
# probably should switch to something else some day
		for i in $*; do
				[ -z "$i" ] || nvidia-xconfig -s --$i 
		done
}

[ -z "$1" ] && echo "Usage:
$0 enable  =>  enable NVIDIA compositing
$0 disable => disable NVIDIA compositing" && exit 1

# TODO: maybe drop -n?
XDRIVER="`x11setupdrv -d -n | sed 's/^driver name:[[:blank:]]//'`" \
|| error "x11setupdrv failed to get driver name"

#[ "$XDRIVER" = "nvidia" ] || error "unsupported video driver, not nvidia"

which nvidia-xconfig >&/dev/null || error "nvidia-xconfig not found"

case $1 in
enable|on)
		xconfig composite
		[ "$XDRIVER" = "nvidia" ] && xconfig allow-glx-with-composite add-argb-glx-visuals
		;;
disable|off)
		xconfig no-composite
		[ "$XDRIVER" = "nvidia" ] && xconfig no-allow-glx-with-composite no-add-argb-glx-visuals
		;;
*)
		error "unknown option: $1"
		;;
esac


^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [sisyphus] IQ: composite control
  2007-10-19 16:04 [sisyphus] IQ: composite control Michael Shigorin
@ 2007-10-19 17:17 ` Алексей Синицын
  2007-10-19 17:48   ` Michael Shigorin
  0 siblings, 1 reply; 3+ messages in thread
From: Алексей Синицын @ 2007-10-19 17:17 UTC (permalink / raw)
  To: shigorin, ALT Linux Sisyphus discussions

19.10.07, Michael Shigorin<mike@osdn.org.ua> написал(а):

> Если кто прокомментирует способы запуска beryl & beryl-manager
> по умолчанию (или сразу заскриптует) -- вообще хорошо.
>


 http://www.freesource.info/wiki/Beryl

 Не оно?

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [sisyphus] IQ: composite control
  2007-10-19 17:17 ` Алексей Синицын
@ 2007-10-19 17:48   ` Michael Shigorin
  0 siblings, 0 replies; 3+ messages in thread
From: Michael Shigorin @ 2007-10-19 17:48 UTC (permalink / raw)
  To: ALT Linux Sisyphus discussions

On Fri, Oct 19, 2007 at 09:17:50PM +0400, Алексей Синицын wrote:
> > Если кто прокомментирует способы запуска beryl & beryl-manager
> > по умолчанию (или сразу заскриптует) -- вообще хорошо.
>  http://www.freesource.info/wiki/Beryl
>  Не оно?

Оно, но выглядит изрядно запущенным...

-- 
 ---- WBR, Michael Shigorin <mike@altlinux.ru>
  ------ Linux.Kiev http://www.linux.kiev.ua/
 ----       Oct 26--27, Kiev, Ukraine:
--       http://conference.osdn.org.ua


^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2007-10-19 17:48 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2007-10-19 16:04 [sisyphus] IQ: composite control Michael Shigorin
2007-10-19 17:17 ` Алексей Синицын
2007-10-19 17:48   ` Michael Shigorin

ALT Linux Sisyphus discussions

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://lore.altlinux.org/sisyphus/0 sisyphus/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 sisyphus sisyphus/ http://lore.altlinux.org/sisyphus \
		sisyphus@altlinux.ru sisyphus@altlinux.org sisyphus@lists.altlinux.org sisyphus@lists.altlinux.ru sisyphus@lists.altlinux.com sisyphus@linuxteam.iplabs.ru sisyphus@list.linux-os.ru
	public-inbox-index sisyphus

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://lore.altlinux.org/org.altlinux.lists.sisyphus


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git